Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class MaxInclusiveFacet

    java.lang.Object
      com.saxonica.schema.Facet
          com.saxonica.schema.ValueRangeFacet
              com.saxonica.schema.MaxInclusiveFacet

All Implemented Interfaces:
  Serializable

    public class MaxInclusiveFacet

extends ValueRangeFacet

Implements the maxInclusive facet on a simple type

See Also:
  Serialized Form

Constructor Summary
`MaxInclusiveFacet()`

Method Summary
`void` | `checkFacetRestriction(UserSimpleType type, SimpleType base, SchemaCompiler compiler)` Check that this facet is legal when used on a type derived by restriction
`String` | `getName()` Returns the name of this Facet
`protected boolean` | `testComparisonOK(int comparisonResult)` Test whether the comparison with the min or max value is a valid result

Methods inherited from class com.saxonica.schema.ValueRangeFacet
`convertToTargetType, getValue, setValue, testAtomicValue`

Methods inherited from class com.saxonica.schema.Facet
`getMessage, getWhitespaceAction, isConstraining, isFacetName, isFixed, isNewlyIntroduced, makeFacet, serializeFacet, setFixed, setMessage, testLength, testListValue, toLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaxInclusiveFacet

    public MaxInclusiveFacet()

Method Detail

### getName

    public String getName()

  Description copied from class: `Facet`
  Returns the name of this Facet

  Specified by:
    `getName` in class `Facet`
  Returns:
    the name of this Facet

### testComparisonOK

    protected boolean testComparisonOK(int comparisonResult)

  Description copied from class: `ValueRangeFacet`
  Test whether the comparison with the min or max value is a valid result

  Specified by:
    `testComparisonOK` in class `ValueRangeFacet`
  Parameters:
    `comparisonResult` - the result of comparing the actual value with the specified min or max value, as defined using the compareTo() method
  Returns:
    true if the comparison is OK, that is, if the value conforms to the facet

### checkFacetRestriction

    public void checkFacetRestriction(UserSimpleType type,
                                      SimpleType base,
                                      SchemaCompiler compiler)
                               throws SchemaException,
                                      ValidationException

  Description copied from class: `ValueRangeFacet`
  Check that this facet is legal when used on a type derived by restriction

  Overrides:
    `checkFacetRestriction` in class `ValueRangeFacet`
  Parameters:
    `type` - the type on which the facet is defined
    `base` - the type from which the restricted type is derived
    `compiler` - the schema compiler
  Throws:
    `SchemaException` - if the facet is not legal
    `ValidationException` - if a value is found that does not conform to the facet

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.